CentreLearn Training System Minimum System Requirements

For the best experience with the CentreLearn Training System, we recommend Windows 7 or Windows 8 for Windows computers and for Apple computers, we recommend updated versions of Mavericks (10.9), Mountain Lion (10.8), and Lion (10.7). We also recommend Internet Explorer versions 10/11, up-to-date Google Chrome, up-to-date Mozilla Firefox, and Safari 7.0.2.

A high-speed, stable internet connection is preferred. CentreLearn may be accessed over dial-up connections, but to properly view content, you will need a connection that is appropriate to the content that you are viewing. It is highly recommended that live-motion videos be viewed over a stable, high-speed internet connection.

Any pdf’s would need to have Adobe Reader installed and up-to-date Adobe Flash may be needed for viewing media content.